table {
    border: solid grey 1px;
    border-collapse: collapse;    
}
td {
    border: solid grey 1px;
    width: 3rem;
    height: 3rem;
}
 tr:nth-of-type(even) td:nth-of-type(odd) {
    background-color: black;
}
tr:nth-of-type(odd) td:nth-of-type(even) {
    background-color: black;
}
td:first-child,
td:last-child,
tr:nth-of-type(even) td:first-child,
tr:nth-of-type(odd) td:last-child {
    background-color: green;
    width: 1.5rem;
}
tr:first-child td:nth-of-type(even),
tr:first-child td,
tr:last-child td,
tr:last-child td:nth-of-type(odd) {    
    height: 1.5rem;
    background-color: green;
}